﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_CADRERESTRACK') 
 CREATE TABLE T_SOECS_CADRERESTRACK (
FID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPERSONID BIGINT DEFAULT 0 NOT NULL,
FCADREFILESNAPID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_CADRERESTRACK_L') 
 CREATE TABLE T_SOECS_CADRERESTRACK_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_RECPROENTITY') 
 CREATE TABLE T_SOECS_RECPROENTITY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRESEMPEXPER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FUNITNATURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNITMAINBUS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FJOBRES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FRECBASIS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMAINISSUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FVERIFYPROSTATUS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FISVIOEMPLIMIT VARCHAR(10) DEFAULT ' ' NOT NULL,
FCOMRECOPINION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FHANDLEOPINION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROPROGRESS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_RECPROENTITY_L') 
 CREATE TABLE T_SOECS_RECPROENTITY_L (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FRESEMPEXPER NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FUNITNATURE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FUNITMAINBUS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FJOBRES NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FRECBASIS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FMAINISSUE NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FVERIFYPROSTATUS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FCOMRECOPINION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FHANDLEOPINION NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FPROPROGRESS NVARCHAR(1000) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(100) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
