﻿/**Begin D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_PERMATREPVER')
CREATE TABLE T_SOECS_PERMATREPVER (
                                      FID BIGINT DEFAULT 0 NOT NULL,
                                      FBOID BIGINT DEFAULT 0 NOT NULL,
                                      FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                      FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                      FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                      FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                      FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                      FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                      FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                      FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                      FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FVERIFICATIONDATE DATETIME,
                                      FSPOTCHECKTYPEID BIGINT DEFAULT 0 NOT NULL,
                                      FVERIFICATIONRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                      FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                      FCREATETIME DATETIME,
                                      FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                      FMODIFYTIME DATETIME,
                                      FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                      FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_PERMATREPVER_L')
CREATE TABLE T_SOECS_PERMATREPVER_L (
                                        FID BIGINT DEFAULT 0 NOT NULL,
                                        FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                        FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                        FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                        FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FVERIFICATIONRESULT NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                        FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_REMINQADM')
CREATE TABLE T_SOECS_REMINQADM (
                                   FID BIGINT DEFAULT 0 NOT NULL,
                                   FBOID BIGINT DEFAULT 0 NOT NULL,
                                   FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                   FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                   FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                   FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                   FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                   FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                   FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                   FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                   FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FPROCESSINGDATE DATETIME,
                                   FPROCESSINGTYPEID BIGINT DEFAULT 0 NOT NULL,
                                   FHANDLEOPI NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FIMPACTPERIOD INT DEFAULT 0 NOT NULL,
                                   FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                   FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                   FCREATETIME DATETIME,
                                   FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                   FMODIFYTIME DATETIME,
                                   FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                   FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_REMINQADM_L')
CREATE TABLE T_SOECS_REMINQADM_L (
                                     FID BIGINT DEFAULT 0 NOT NULL,
                                     FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                     FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                     FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                     FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FHANDLEOPI NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                     FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_PROFORM')
CREATE TABLE T_SOECS_PROFORM (
                                 FPKID BIGINT DEFAULT 0 NOT NULL,
                                 FID BIGINT DEFAULT 0 NOT NULL,
                                 FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_ORGPROCESSING')
CREATE TABLE T_SOECS_ORGPROCESSING (
                                       FID BIGINT DEFAULT 0 NOT NULL,
                                       FBOID BIGINT DEFAULT 0 NOT NULL,
                                       FISCURRENTVERSION CHAR(1) DEFAULT '0' NOT NULL,
                                       FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
                                       FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
                                       FISMODIFY CHAR(1) DEFAULT '0' NOT NULL,
                                       FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                       FISSINGLE CHAR(1) DEFAULT '0' NOT NULL,
                                       FPERSONID BIGINT DEFAULT 0 NOT NULL,
                                       FEMPLOYEEID BIGINT DEFAULT 0 NOT NULL,
                                       FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FPROCESSINGDATE DATETIME,
                                       FPROCESSINGTYPEID BIGINT DEFAULT 0 NOT NULL,
                                       FHANDLEOPI NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FIMPACTPERIOD INT DEFAULT 0 NOT NULL,
                                       FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                       FPROCESSINGRESULTID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATORID BIGINT DEFAULT 0 NOT NULL,
                                       FCREATETIME DATETIME,
                                       FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
                                       FMODIFYTIME DATETIME,
                                       FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
                                       FINITBATCH BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_SOECS_ORGPROCESSING_L')
CREATE TABLE T_SOECS_ORGPROCESSING_L (
                                         FID BIGINT DEFAULT 0 NOT NULL,
                                         FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
                                         FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
                                         FDESCRIPTION NVARCHAR(50) DEFAULT ' ' NOT NULL,
                                         FCURPOSITION NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FCURLEVEL NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FHANDLEOPI NVARCHAR(255) DEFAULT ' ' NOT NULL,
                                         FOTHERINS NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End D:\PDM_UPGRADE_1.4\PDM_UPGRADE\PDM1\SOECS_table.sql **/
